classification
Title: Update Windows installer
Type: enhancement Stage: resolved
Components: Windows Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: BreamoreBoy, larry, python-dev, steve.dower, tim.golden, zach.ware
Priority: release blocker Keywords: patch

Created on 2015-01-17 23:12 by steve.dower, last changed 2015-02-06 06:13 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
23260_1.diff steve.dower, 2015-01-17 23:49 review
README.txt steve.dower, 2015-01-17 23:50 Overview of the new installer
23260_2.diff steve.dower, 2015-01-18 04:03
23260_3.diff steve.dower, 2015-01-24 18:02 review
Messages (7)
msg234203 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-01-17 23:12
Updating the installer for better security and robustness. Large patch coming soon (just getting an issue number to put in NEWS).
msg234204 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-01-17 23:49
Patch. I'm also revising Doc/using/windows.rst, but I don't want to delay the initial reviews.

I don't think this is perfect, but it works well enough for the first alpha (scheduled for 8 Feb), so I want to get it in and stabilised now rather than at the last minute. There'll be more features and work to do.

There's a README.txt file (which I'll attach next) that has an overview of the installer. It'll be worth reading that first before looking at the code.

And apologies if the code makes no sense. I'm happy to explain sections, but WiX is about 90% magic (and the rest is MSBuild magic) and so any explanation is likely to be unsatisfactory. I've been working with both of these pretty intently for the last few years and I still don't feel like I've mastered them...
msg234214 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-01-18 02:19
As I expected, shortly after posting this I find a significant issue with the way the installer will work.

Expect a revised patch soon :)
msg234217 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-01-18 04:03
New patch with some changes to how optional debug symbols and binaries are handled. (I misunderstood how a particular WiX feature worked...)
msg234628 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-01-24 18:02
Updated patch, and hopefully it will make it into review this time.

I deliberately excluded the image for the using/windows.rst documentation but you can see it at http://imgur.com/CdQaBmp
msg235463 - (view) Author: Roundup Robot (python-dev) Date: 2015-02-06 06:12
New changeset e7dbef447157 by Steve Dower in branch 'default':
Issue #23260: Update Windows installer
https://hg.python.org/cpython/rev/e7dbef447157
msg235464 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-02-06 06:13
Got about as many reviews as I expected, but the builds have been going fine and I want this checked in before alpha, so in it goes :)
History
Date User Action Args
2015-02-06 06:13:20steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg235464

stage: resolved
2015-02-06 06:12:49python-devsetnosy: + python-dev
messages: + msg235463
2015-01-24 20:59:35steve.dowersetnosy: + larry
2015-01-24 18:03:37steve.dowersetfiles: + 23260_3.diff

messages: + msg234628
2015-01-18 04:04:34steve.dowersetfiles: + 23260_2.diff

messages: + msg234217
2015-01-18 02:19:13steve.dowersetmessages: + msg234214
2015-01-17 23:50:46steve.dowersetfiles: + README.txt
2015-01-17 23:50:24steve.dowersetfiles: + 23260_1.diff
keywords: + patch
messages: + msg234204
2015-01-17 23:23:20BreamoreBoysetnosy: + BreamoreBoy
2015-01-17 23:12:41steve.dowercreate